CAS(4)

NAME
cas - Cassini/Cassini+ (GigaSwift) Ethernet device driver

SYNOPSIS
cas* at pci? dev ? function ?

Configuration of PHYs may also be necessary. See mii(4).

DESCRIPTION
The cas driver provides support for the Sun Cassini and Cassini+ (GigaSwift) and the National Semiconductor Saturn Ethernet hardware found in Sun UltraSPARC machines and Sun GigaSwift PCI cards.

Cards supported by this driver include:
•   Sun GigaSwift Ethernet 1.0 MMF (Cassini Kuheen) (part no. 501-5524)
•   Sun GigaSwift Ethernet 1.0 UTP (Cassini) (part no. 501-5902)
•   Sun GigaSwift Ethernet UTP (GCS) (part no. 501-6719)
•   Sun Quad GigaSwift Ethernet UTP (QGE) (part no. 501-6522)
•   Sun Quad GigaSwift Ethernet PCI-X (QGE-X) (part no. 501-6738)

SEE ALSO
brgphy(4), gentbi(4), gphyter(4), ifmedia(4), intro(4), mii(4), ifconfig(8) Cassini+ ASIC Specification, Sun Microsystems, http://www.sun.com/processors/manuals/cs_plus.pdf.

HISTORY
The cas driver first appeared in OpenBSD 4.1. NetBSD support was added in NetBSD 6.0.

AUTHORS
-nosplit The cas driver was written for OpenBSD by Mark Kettenis <kettenis@openbsd.org>, based on the gem(4) driver, and ported to NetBSD by Julian Coleman <jdc@NetBSD.org>.

BUGS
The cas driver does not support any of the advanced features of the Cassini chip.

On the SX fibre variants of the hardware, the link may stay down if media options apart from autoselect are chosen.